Package com.logicaldoc.core.document

# Class Rating

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.document.Rating

All Implemented Interfaces:
  `Serializable`

@Entity public class Rating extends PersistentObject
A rating over a document

Since:
  6.1
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Rating()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Float`
`getAverage()`
`Integer`
`getCount()`
`long`
`getDocId()`
`long`
`getUserId()`
`String`
`getUsername()`
`int`
`getVote()`
`int`
`hashCode()`
`void`
`setAverage(Float average)`
`void`
`setCount(Integer count)`
`void`
`setDocId(long docId)`
`void`
`setUserId(long userId)`
`void`
`setUsername(String username)`
`void`
`setVote(int vote)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Rating

public Rating()

## Method Details

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getDocId

public long getDocId()

### setDocId

public void setDocId(long docId)

### getVote

public int getVote()

### setVote

public void setVote(int vote)

### getCount

public Integer getCount()

### setCount

public void setCount(Integer count)

### getAverage

public Float getAverage()

### setAverage

public void setAverage(Float average)

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`